package com.ruoyi.orderManagement.statusTracking.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.orderManagement.statusTracking.domain.Ftmsorderbillsfees;

import java.util.List;
import java.util.Map;

/**
 * 订单费用Service接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface IftmsorderbillsfeesService {
    /**
     * 查询车队费用
     *
     * @param fId 车队费用ID
     * @return 车队费用
     */
    public Ftmsorderbillsfees selectFTmsorderbillsfeesById(Long fId);

    public Map<String, Object> selectFTmsorderbillsfeesByIdMap(Long id);

    public AjaxResult insertFTmsorderbillsfeesAdd(String Ftmsorderbillsfees);


    /**
     * 查询车队费用列表
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 车队费用集合
     */
    public List<Ftmsorderbillsfees> selectFTmsorderbillsfeesList(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 新增车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int insertFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 修改车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int updateFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 批量删除车队费用
     *
     * @param fIds 需要删除的车队费用ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesByIds(Long[] fIds);

    /**
     * 删除车队费用信息
     *
     * @param fId 车队费用ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesById(Long fId);
}
